cmake_minimum_required(VERSION 2.8.3)
project(gnss_module)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED )

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES ros_pyqt
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS system_lib
)

# catkin_install_python(
#   PROGRAMS  
#     scripts/gnss_module_gui
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

# install(PROGRAMS
#    scripts/gnss_module_core
#    scripts/gnss_module_gui
#    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

install(DIRECTORY launch/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
   FILES_MATCHING PATTERN "*.launch"
)

# install(DIRECTORY ui/
#    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/ui
#   #  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/ui
#    FILES_MATCHING PATTERN "*.ui"
# )

install(FILES   Desktop/gnss_carla.desktop       
                Desktop/gnss_ins.desktop   
                Desktop/gnss_lgsvl.desktop  
                Desktop/gnss_newtonm2.desktop  
                Desktop/gnss_nmea.desktop
        DESTINATION   /usr/share/applications
          # DESTINATION $ENV{HOME}/Desktop
)

